<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Profile</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="headerfooter.css">
    <link rel="stylesheet" href="style.css">
    <!-- Import DataTable Library -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <style>
        .content-info-user {
            margin: 150px 80px 50px 80px;
        }

        .img-bg-user {
            position: relative;
        }

        .img-user {
            position: absolute;
            top: 100px;
            left: 200px;
            width: 45%;
            box-shadow: blue 0px 0px 0px 2px inset, rgb(255, 255, 255) 10px -10px 0px -3px, rgb(31, 193, 27) 10px -10px, rgb(255, 255, 255) 20px -20px 0px -3px, rgb(255, 217, 19) 20px -20px, rgb(255, 255, 255) 30px -30px 0px -3px, rgb(255, 156, 85) 30px -30px, rgb(255, 255, 255) 40px -40px 0px -3px, rgb(255, 85, 85) 40px -40px;
        }

        .card-user-real {
            width: 22rem;
        }
    </style>
</head>

<body>
    <header style="width: 100%;">
        <div class="pos-f-t">
            <div class="collapse" id="navbarToggleExternalContent">
                <div class="bg-header-content p-4">
                    <div class="row">
                        <div class="col-sm-4">
                            <h1 class="text-white h1 "><a class="text-white" href="./index.html">TRANG CHỦ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Contact.html">TRANG LIÊN HỆ</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="">TRANG TIN TỨC</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./About.html">VỀ CÔNG TY</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Apartment.html">TRANG
                                    MUA/BÁN NHÀ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./DetailProperties.html">TRANG
                                    MUA/BÁN CĂN HỘ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./AddProperties.html">TRANG
                                    MUA/BÁN ĐẤT</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./User.html">TRANG THÔNG TIN
                                    NGƯỜI DÙNG</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Login.html">TRANG ĐĂNG NHẬP</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Register.html">TRANG ĐĂNG
                                    KÝ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./AddProperties.html">TRANG ĐĂNG
                                    TIN BẤT ĐỘNG SẢN</a>
                            </h1>
                            <p class="mt-5">TUYỂN DỤNG</p>
                            <P>LIÊN HỆ</P>
                        </div>
                        <div class="col-sm-5 text-center mt-5">
                            <h4 class="text-white h1 mt-3"><a class="text-white" href="./TinTuc.html">TIN TỨC</a></h4>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./PhongThuy.html">PHONG THỦY</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Sao.html">SAO & BIỆT
                                    THỰ</a></h1>
                            <h4>BIỂU TƯỢNG</h4>
                            <h4>KHU DÂN CƯ</h4>
                            <h4>KHÁCH HÀNG</h4>
                            <h4>NHÀ Ở</h4>
                            <h4>CĂN HỘ</h4>
                            <h4>DỰ ÁN</h4>
                            <h4>ĐẤT NỀN</h4>


                        </div>
                        <div class="col-sm-3 text-right mt-5">
                            <p>FACEBOOK</p>
                            <P>YOUTUBE</P>
                            <P>LINKEDIN</P>
                            <P>ZALO</P>
                            <P>INSTAGRAM</P>
                            <P>TIKTOK</P>
                            <P>84.28-356789</P>
                            <P>CONTACT@ALPHADELTA.VN</P>

                        </div>

                    </div>


                </div>

            </div>

            <nav class="navbar navbar-dark bg-header nav-head" style="">

                <button class="navbar-toggler" type="button" data-toggle="collapse"
                    data-target="#navbarToggleExternalContent" aria-controls="navbarToggleExternalContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="row-header row">
                    <!-- <h2 class="text-center" id="logo">ALPHADELTA</h2> -->
                    <img class="logo-main" src="image/logo New1.png" width="" height="100px" alt="">
                </div>
                <div class="d-flex header-trans">
                    <img class="mr-2 find-search" src="./image/icons8-find-48.png" alt="">

                    <a class="a-mobile-trans" href="">VN</a>
                    <hr class="hr-trans">
                    <a class="a-mobile-trans" href="">EN</a>
                </div>

            </nav>

        </div>
    </header>

    <div class="content-detail-real">

        <div class="">
            <div class="row" id="name-user-real">

            </div>


        </div>
        <hr>
        <div class="row">
            <div class="col-lg-7">
                <div class="d-flex">

                </div>

                <div>
                    <img src="./image/project/thao-nguyen-resort-moc-chau-21.jpg" class="img-bg-user" width="100%"
                        alt="">
                    <div id="img-user">

                    </div>

                </div>
                <div id="intro-real" class="d-flex justify-content-between my-4 ">

                </div>
                <h4>Mô tả</h4>
                <hr>
                <p>Casa Colina proves to be among the finest estates of the gated La Colina neighborhood just east of
                    Centro San Miguel de Allende in Atascadero, boasting every conceivable amenity possible! Perched on
                    the view side of this north-sloping neighborhood, this magnificent home offers protected
                    long-distance views of the natural canyon preserve and the beginning of the El Charco botanical
                    garden—you awake to the sight of eagles soaring at eye level from your master suite!
                    garden—you awake to the sight of eagles soaring at eye level from your master suite!
                    garden—you awake to the sight of eagles soaring at eye level from your master suite!
                    garden—you awake to the sight of eagles soaring at eye level from your master suite!
                </p>


                <h4>Chi tiết doanh nghiệp</h4>
                <div class="row">
                    <div class="col-sm-6">
                        <hr>
                        <div class="d-flex justify-content-between">
                            <p>Languages</p>
                            <b>English</b>
                        </div>
                        <hr>
                    </div>
                </div>
                <h4>Khu vực hoạt động</h4>
                <hr>
                <p>Thành phố Hồ Chí Minh</p>
                <h4>Thêm nguồn thông tin</h4>
                <hr>
                <a href="">LRC Agent website</a>
                <h4>Danh sách bất động sản đã đăng</h4>
                <hr>
                <div id="all-user-real" class="row">


                </div>


            </div>
            <div class="col-lg-1">

            </div>
            <div class="col-lg-4">
                <div class="d-flex justify-content-end text-fbfbfb mb-3">
                    <p class="want-info"><img src="./image/icons8-heart-50.png" alt="" width="25px" class="mr-2">
                        favorite</p>
                    <p class="want-info"><img src="./image/icons8-print-50.png" alt="" width="25px" class="mr-2">
                        print</p>
                    <p class="want-info"><img src="./image/icons8-share-50.png" alt="" width="25px" class="mr-2">
                        share</p>

                </div>

                <div class="">

                    <div class="row">
                        <div id="user-real" class="col-lg-12 text-center info-customer">



                        </div>

                    </div>

                </div>
                <div class="mt-5">
                    <h4>Yêu cầu thêm thông tin</h4>
                    <hr>
                    <label for="">Name</label>
                    <input type="text" class="form-control mb-3" placeholder="Your name">
                    <label for="">Email</label>
                    <input type="text" class="form-control mb-3" placeholder="Your email">
                    <label for="">Phone</label>
                    <input type="text" class="form-control mb-3" placeholder="Your phone">
                    <label for="">Message</label>
                    <textarea id="w3review" name="" rows="8" cols="50"></textarea>
                    <p>Prefer Contact method</p>
                    <div class="d-flex">
                        <input type="checkbox" class="mr-2" name="" id="">
                        Email
                        <input class="ml-5 mr-2" type="checkbox" name="" id="">
                        Text/SMS

                    </div>
                    <button class="btn btn-submit-request">Submit Request</button>


                </div>
            </div>

        </div>
        <div>
            <button class="btn btn-success form-control mt-5" style="display: none;">Hello</button>
        </div>
    </div>

    <footer>
        <div class="footer-content">
            <div class="row">
                <div class="col-sm-5" data-aos="zoom-in-down" data-aos-easing="linear" data-aos-duration="2500">
                    <h2 class="">THÔNG TIN
                    </h2>

                    <h1 class="mb-5">LIÊN HỆ</h1>

                    <h4 class="info-footer">TRỤ SỞ</h4>
                    <p>Alphadelta 96 Phan Đăng Lưu, Quận 9, Thành phố Hồ Chí Minh</p>
                    <h4 class="info-footer">VĂN PHÒNG ĐẠI DIỆN Ở HÀ NỘI</h4>
                    <p>LK- C29, Khu biệt thự liền kề Embassy Garden,
                        Hoàng Minh Thảo, Xuân Tảo, Bắc Từ Liêm, Hà Nội</p>
                    <h4 class="info-footer">LIÊN HỆ VỚI CHÚNG TÔI </h4>
                    <p>Hotline: (+84 00 1234 5679)</p>
                    <p>Email: contact@alphadelt.vn</p>
                    <div class="d-flex mt-5">
                        <img src="./image/icons8-facebook-96 (1).png" height="70px" alt="">
                        <img src="./image/icons8-tiktok-96.png" height="70px" alt="">
                        <img src="./image/icons8-instagram-96.png" height="70px" alt="">
                    </div>


                    <div class="mt-5">
                        <p>@ 2021 Alphadelta All rights reserved</p>
                    </div>

                </div>

                <div class="col-sm-2">

                </div>
                <div class="col-sm-5 text-center">
                    <img class="img-building-footer" src="./image/apartment footer_transparent.png" width="100%"
                        height="650px" alt="">
                </div>


            </div>
        </div>
    </footer>

</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "http://localhost:8080/"
    var urlParams = new URLSearchParams(window.location.search);
    var gIdReal = urlParams.get('id');
    var accessToken = localStorage.getItem('token');
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onLoadUser();
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onLoadUser() {
        $.ajax({
            url: gBASE_URL + "users/user/" + gIdReal,
            type: "GET",
            headers: { "Authorization": "Bearer " + accessToken },
            success: function (paramRes) {
                handleLoadUser(paramRes);
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }
        })
    }

    function handleLoadUser(paramData) {
        $("#name-user-real").append(`
             <h1>${paramData.customers.contactName}</h1>
        `)
        $("#img-user").append(`
             <img src="./image/${paramData.customers.avata}" class="img-user" alt="">
        `)

        $("#user-real").append(`
                <img src="./image/${paramData.customers.avata}" class=" mb-3" alt="Cinque Terre" width="200" height="200">
                <h3 class=""><b>${paramData.customers.contactName}</b></h3>
                <p class="text-fbfbfb">${paramData.customers.mobile}</p>
                <p class="text-fbfbfb">${paramData.customers.address}</p>
                <p class="text-fbfbfb">${paramData.email}</p>
                <p class="text-fbfbfb"></p>
        `)

        for (var bI = 0; bI < paramData.realestate.length; bI++) {
            $("#all-user-real").append(`
                <div class="col-lg-6 mt-3">
                        <div class="card card-user-real">
                            <img class="card-img-top" src="./image/project/${paramData.realestate[bI].photo}" height="273px" width="100%"
                                alt="Card image cap">
                            <div class="card-body">
                                <h5><b>${paramData.realestate[bI].title}</b></h5>
                                <p>${paramData.realestate[bI].address}</p>
                                <p>${paramData.realestate[bI].price}</p>
                                <div class="d-flex">
                                    <img src="./image/bedroom.png" width="30px" alt="">
                                    <p class="mx-3 mt-3">${paramData.realestate[bI].bedroom}</p>
                                    <img src="./image/bathtub.png" width="30px" alt="">
                                    <p class="ml-3 mt-3">${paramData.realestate[bI].bath}</p>
                                </div>
                            </div>
                        </div>
                    </div>
            `)
        }
    }
</script>

</html>